# AgileSolo

A Ruby wrapper for Chef::Application::Solo through HTTP.

## Installation

Add this line to your application's Gemfile:

```
gem 'agile_solo'
```

And then execute:

```
$ bundle
```

Or install it yourself as:

```
$ gem install agile_solo
```

## Usage

Drop `agile_solo` gem into Gemfile

```
$ mkdir hanamoguella
$ cd hanamoguella
$ bundle init
$ vim Gemfile
gem 'agile_solo'
$ bundle install
```

Edit config.ru

```
require 'agile_solo'

AgileSolo::Config.chef_repo = ENV['CHEF_REPO'] || '/root/chef_repo'
run AgileSolo::Server
```

Run the server

```
$ gem install puma
$ puma config.ru
```

Perform the request

```
$ curl --request PUT \
--header "Content-Type: application/json" \
--data @data.json \
'http:/localhost:9292/solo'
```

Request @data

```
{
  "solo":{
    "run_list":"recipe[sample::default]",
    "name":"sample",
    "items":{
      "id":"items",
      "data":{
          "lines":["foo", "hoge"]
      }
    }
  }
}
```

Response

`204 No Content`

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
