# coding: utf-8
require 'spec_helper'

describe AgileSolo::CompositeCommand do
  before do
    @cmds = AgileSolo::CompositeCommand.new
  end
	it 'returns an empty commands array' do
    expect(@cmds.empty?).to be_true
	end

	it 'calls the execute method in the given class' do
    message = 'Hello,world!'
    obj = OpenStruct.new(execute: message)
    expect(obj).to receive(:execute).and_return(message)

    @cmds.add_commands obj
    @cmds.execute
	end

	it 'raise error missing the execute method in the given class' do
    @cmds.add_commands Object.new
    expect{@cmds.execute}.to raise_error NoMethodError
	end

  it 'returns the desciption' do
    message = 'Hello,world!'
    @cmds.add_commands OpenStruct.new(description: message)
    expect(@cmds.description.chomp).to eql message
  end
end
