# coding: utf-8
require 'spec_helper'

describe AgileSolo::Server do
  def app
    AgileSolo::Server
  end

  before do
    @body = '{
      "solo": {
        "run_list":"recipe[sample::default]",
        "name":"sample",
        "items":{
        "id":"items",
          "data":{
            "lines":["foo", "bar"]
          }
        }
      }
    }'
  end

	it 'returns 204 No Content' do
    AgileSolo::Consumer.any_instance.stub(:execute).and_return(true)
		put '/solo', @body, "CONTENT_TYPE" => "application/json"
		expect(last_response.status).to eql 204
	end

	it 'returns an empty body' do
    AgileSolo::Consumer.any_instance.stub(:execute).and_return(true)
		put '/solo', @body, "CONTENT_TYPE" => "application/json"
		expect(last_response.body.empty?).to be_true
	end
end
