Z Cloud Application Base for chef-solo
========

ZCloud上にChef-soloでアプリケーションを構築する際のベースにするリポジトリ。

Links
----

Chef-solo, Metadata-APIについては下記の事前知識が望ましい。

- Chef-solo のドキュメント
  - [http://docs.opscode.com/chef_solo.html](http://docs.opscode.com/chef_solo.html)
  - 日本語の電子書籍 [入門Chef Solo - Infrastructure as Code』](http://d.hatena.ne.jp/naoya/20130313/1363129532)
- Joyent Metadata-API
  - [http://wiki.joyent.com/wiki/display/sdc/Using+the+Metadata+API](http://wiki.joyent.com/wiki/display/sdc/Using+the+Metadata+API)
- 他、各ディレクトリの役割詳細はOpscodeのChef-Repoリポジトリを参照
  -  [https://github.com/opscode/chef-repo](https://github.com/opscode/chef-repo) 

概要
======

SmartOSをプロビジョンする際にChef-soloの定期実行を仕込み、GithubからクローンしたChef-repositoryの内容を実行し続ける。

cookbooksとsite-cookbooks
=====

- Cookbooks: 汎用的なCookbookを入れるところ、application_baserepoでは[librarian-chef](https://github.com/applicationsonline/librarian-chef)で管理する。  
直接編集してはいけない。
- Site-Cookbooks: 個別のCookbookを入れるところ、アプリケーションごとに用意する。


アプリケーションリポジトリの用意
====

この`application-baserepo`をクローンする。

    git clone git@github.com:ZCloud-Firstserver/application_baserepo.git application_yourapp

git リポジトリを初期化。

    cd application_yourapp
    rm -rf .git
    rm -rf user-scripts
    git init



Github_Tokens
----

Github用のTokenマスタ

### User:firstserver

- `634eaa5bec9b9d267d4e85587797bc9a68ea4be2` リポジトリR/W権限
- `c32727a4e821f96c1bd7896e3deae36dbbdf8251` リポジトリR/W権限

Cookbook作成
----

下記コマンドでCookbookを作成できる、ライセンスの設定などは`.chef/knife.rb`に記載してあります。

    knife cookbook create sample

添付の`sample`をコピーしてもよい、下記２つ変更する。

- ディレクトリのリネーム
- metadata.rb のname変更



マシン作成
====

Metadata
----

user-scriptに **smartos19.sh**を入れる。  
[https://github.com/ZCloud-Firstserver/application_baserepo/blob/master/user-scripts/smartos19.sh](https://github.com/ZCloud-Firstserver/application_baserepo/blob/master/user-scripts/smartos19.sh)

その他３つをメタデータに入れる。

- zcloud_app: your_app
- zcloud_app_repo: https://{ReadOnlyのTokenに置き換える}@github.com/ZCloud-Firstserver/application_your_app.git
- user-data: {}

アプリケーション独自のメタデータがある場合は追加する。

Roles
---

マシンでは`role[your_app`が継続的に実行される。
